/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_RouterLifetime_H_
#define	_RouterLifetime_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* RouterLifetime */
typedef long	 RouterLifetime_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_RouterLifetime;
asn_struct_free_f RouterLifetime_free;
asn_struct_print_f RouterLifetime_print;
asn_constr_check_f RouterLifetime_constraint;
ber_type_decoder_f RouterLifetime_decode_ber;
der_type_encoder_f RouterLifetime_encode_der;
xer_type_decoder_f RouterLifetime_decode_xer;
xer_type_encoder_f RouterLifetime_encode_xer;
per_type_decoder_f RouterLifetime_decode_uper;
per_type_encoder_f RouterLifetime_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _RouterLifetime_H_ */
#include <asn_internal.h>
